| Home | Libraries | People | FAQ | More

## Function template ifind_nth

boost::algorithm::ifind_nth — Find n-th algorithm ( case insensitive ).

## Synopsis

    template<typename Collection1T, typename Collection2T>
      iterator_range< typename result_iterator_of< Collection1T >::type >
      ifind_nth(Collection1T & Input, const Collection2T & Search,
                unsigned int Nth, const std::locale & Loc = std::locale());

## Description

Search for the n-th (zero-indexed) occurence of the substring in the input. Searching is case insensitive.

Parameters

Input

  A string which will be searched.

Loc

  A locale used for case insensitive comparison

Nth

  An index (zero-indexed) of the match to be found.

Search

  A substring to be searched for.

Returns: An `iterator_range` delimiting the match. Returned iterator is either `Collection1T::iterator` or `Collection1T::const_iterator` , depending on the constness of the input parameter.
Notes: This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba